Bug 306169 - Thumbnail Aside effect not updating/disappearing
Summary: Thumbnail Aside effect not updating/disappearing
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.9.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: 4.10 RC 3
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/108...
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2012-09-02 18:27 UTC by adikurthy
Modified: 2013-01-11 07:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description adikurthy 2012-09-02 18:27:55 UTC
After activating the effect for a given window, the thumbnail updates are not happening, the thumbnail even disappears if another window is moved to it's area. It only updates if the attached window updates for some reason.

Reproducible: Always

Steps to Reproduce:
1. Enable Effect
2. Toggle it for a window.
3. Start move windows around
Comment 1 Martin Flöser 2012-09-02 18:52:41 UTC
damage events of the thumbnail are handled correctly, but updates in this area do not work correctly.
Comment 2 Martin Flöser 2013-01-11 07:51:47 UTC
Git commit 27172bbcc07d883ff765b1198778178eb58627a4 by Martin Gräßlin.
Committed on 09/01/2013 at 10:09.
Pushed by graesslin into branch 'KDE/4.10'.

Track painted areas in Thumbnail Aside effect

Following the approach of ShowPaint effect by tracking the actual painted
regions per window to determine whether the painted area intersects with
one of the thumbnails.
FIXED-IN: 4.10
REVIEW: 108289

M  +8    -1    kwin/effects/thumbnailaside/thumbnailaside.cpp
M  +2    -0    kwin/effects/thumbnailaside/thumbnailaside.h

http://commits.kde.org/kde-workspace/27172bbcc07d883ff765b1198778178eb58627a4